> For the complete documentation index, see [llms.txt](https://boxlang.ortusbooks.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://boxlang.ortusbooks.com/boxlang-framework/modularity/ui-compatibility/reference/built-in-functions/ajaxlink.md).

# AjaxLink

Generates a URL that causes link results to display within the current AJAX container rather than replacing the current page content.

## Method Signature

```
AjaxLink(url)
```

### Arguments

| Argument | Type     | Required | Description                              | Default |
| -------- | -------- | -------- | ---------------------------------------- | ------- |
| `url`    | `string` | `true`   | The URL to load when the link is clicked |         |

## Examples

```boxlang
// Generate an AJAX link
ajaxUrl = AjaxLink("/api/data");
// Returns: "javascript:void(BoxLangAjax && BoxLangAjax.utils ? BoxLangAjax.utils.handleAjaxLink('/api/data', event) : console.error('BoxLang AJAX not initialized'))"

// Use in an HTML anchor tag
writeOutput('<a href="#ajaxUrl#">Load Data</a>');
```

## Related

* [AjaxOnLoad](/boxlang-framework/modularity/ui-compatibility/reference/built-in-functions/ajaxonload.md)
* [QueryConvertForGrid](/boxlang-framework/modularity/ui-compatibility/reference/built-in-functions/queryconvertforgrid.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://boxlang.ortusbooks.com/boxlang-framework/modularity/ui-compatibility/reference/built-in-functions/ajaxlink.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
